> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Reset password

POST https://test.api.solvimon.com/v{version}/oauth/reset-password
Content-Type: application/json

Reference: https://docs.solvimon.com/api-docs/identity-api/authentication/post-oauth-reset-password

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a ResetPasswordCreateRequest.

- `token` (string, optional)
- `new_password` (string, optional)

## Response

### 200

OK

- `string`

## Examples

**Request**

```json
{
  "token": "8f3c2a9e7b41d6c05e9a1f4b2d7c8e30",
  "new_password": "Kp7@xW3!nQz9#Lm2"
}
```

**Response**

```json
"string"
```

**SDK Code**

```python Authentication_postOauthResetPassword_example
import requests

url = "https://test.api.solvimon.com/v1/oauth/reset-password"

payload = {
    "token": "8f3c2a9e7b41d6c05e9a1f4b2d7c8e30",
    "new_password": "Kp7@xW3!nQz9#Lm2"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Authentication_postOauthResetPassword_example
const url = 'https://test.api.solvimon.com/v1/oauth/reset-password';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"token":"8f3c2a9e7b41d6c05e9a1f4b2d7c8e30","new_password":"Kp7@xW3!nQz9#Lm2"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Authentication_postOauthResetPassword_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/oauth/reset-password"

	payload := strings.NewReader("{\n  \"token\": \"8f3c2a9e7b41d6c05e9a1f4b2d7c8e30\",\n  \"new_password\": \"Kp7@xW3!nQz9#Lm2\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Authentication_postOauthResetPassword_example
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/oauth/reset-password")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"token\": \"8f3c2a9e7b41d6c05e9a1f4b2d7c8e30\",\n  \"new_password\": \"Kp7@xW3!nQz9#Lm2\"\n}"

response = http.request(request)
puts response.read_body
```

```java Authentication_postOauthResetPassword_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://test.api.solvimon.com/v1/oauth/reset-password")
  .header("Content-Type", "application/json")
  .body("{\n  \"token\": \"8f3c2a9e7b41d6c05e9a1f4b2d7c8e30\",\n  \"new_password\": \"Kp7@xW3!nQz9#Lm2\"\n}")
  .asString();
```

```php Authentication_postOauthResetPassword_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://test.api.solvimon.com/v1/oauth/reset-password', [
  'body' => '{
  "token": "8f3c2a9e7b41d6c05e9a1f4b2d7c8e30",
  "new_password": "Kp7@xW3!nQz9#Lm2"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Authentication_postOauthResetPassword_example
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/oauth/reset-password");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"token\": \"8f3c2a9e7b41d6c05e9a1f4b2d7c8e30\",\n  \"new_password\": \"Kp7@xW3!nQz9#Lm2\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Authentication_postOauthResetPassword_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "token": "8f3c2a9e7b41d6c05e9a1f4b2d7c8e30",
  "new_password": "Kp7@xW3!nQz9#Lm2"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/oauth/reset-password")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```